TreeTableViewSkin (JavaFX 27)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: TreeTableViewSkin

# Class TreeTableViewSkin<T>

java.lang.Object
javafx.scene.control.SkinBase<TreeTableView<T>>
javafx.scene.control.skin.VirtualContainerBase<TreeTableView<T>, TreeTableRow<T>>
javafx.scene.control.skin.TableViewSkinBase<T, TreeItem<T>, TreeTableView<T>, TreeTableRow<T>, TreeTableColumn<T,?>>
javafx.scene.control.skin.TreeTableViewSkin<T>

Type Parameters:
  `T` - the tree table item type

All Implemented Interfaces:
  `Skin<TreeTableView<T>>`

public class TreeTableViewSkin<T> extends TableViewSkinBase<T, TreeItem<T>, TreeTableView<T>, TreeTableRow<T>, TreeTableColumn<T,?>>
Default skin implementation for the `TreeTableView` control.

Since:
  9
See Also:
  - `TreeTableView`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeTableViewSkin(TreeTableView<T> control)`
  Creates a new TreeTableViewSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getItemCount()`
  Returns the total number of items in this container, including those that are currently hidden because they are out of view.

  ### Methods declared in class TableViewSkinBase

  `createTableHeaderRow, getTableHeaderRow, onFocusAboveCell, onFocusBelowCell, onFocusLeftCell, onFocusRightCell, onMoveToFirstCell, onMoveToLastCell, onScrollPageDown, onScrollPageUp, onSelectAboveCell, onSelectBelowCell, onSelectLeftCell, onSelectRightCell, scrollHorizontally, scrollHorizontally, updateItemCount`

  ### Methods declared in class VirtualContainerBase

  `createVirtualFlow, dispose, getVirtualFlow, markItemCountDirty`

  ### Methods declared in class SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Skin

  `install`

- ## Constructor Details

  - ### TreeTableViewSkin

    public TreeTableViewSkin(TreeTableView<T> control)
    Creates a new TreeTableViewSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getItemCount

    protected int getItemCount()
    Returns the total number of items in this container, including those that are currently hidden because they are out of view.
    Specified by:
      `getItemCount` in class `VirtualContainerBase<TreeTableView<T>, TreeTableRow<T>>`
    Returns:
      the total number of items in this container